@echo off
cls
if not exist ..\bin\rc.exe goto error_compile
if not exist ..\bin\cvtres.exe goto error_compile
if not exist ..\bin\ml.exe goto error_compile
if not exist ..\bin\link.exe goto error_compile

echo Building doodle.exe, started...
echo.
echo.
echo [Phase 1: Compiling resources]
echo.
echo.
..\bin\rc /v /r doodle.rc
echo.
echo.
..\bin\cvtres /MACHINE:IX86 doodle.res /out:doodres.obj
echo.
echo.
echo [Phase 2: Assembling doodle.asm]
echo.
echo.
..\bin\ml /c /coff /Cp /I"..\include" doodle.asm
echo.
echo.
echo [Phase 3: Linking object files]
echo.
echo.
..\bin\link /LIBPATH:"..\lib" /SUBSYSTEM:WINDOWS /out:"doodle.exe" doodle.obj doodres.obj
echo.
echo.
echo [Phase 4: Cleaning]
echo.
del doodle.res
echo removing doodle.res
del doodle.obj
echo removing doodle.obj
del doodres.obj
echo removing doodres.res
echo.
echo.
dir doodle.exe
echo.
echo.
goto exit_here

:error_compile
echo ERROR building doodle.exe
echo.
echo Please ensure that you have MASM32 installed, and you've read
echo the readme.txt file for information on how to build this source.
echo.
echo.

:exit_here
pause